
#setwd("D:/R/")    
library(foreign)
kotit1.dat<-read.spss("elinolo.sav", to.data.frame=TRUE)
attach(kotit1.dat)

# Suluissa olevan 1:n tilalle oma opiskelijanumero
set.seed(518434)
# 700 kokoinen otos
oma.otos<-kotit1.dat[sample(nrow(kotit1.dat), 700), ]

# Tehtävät tehdään tällä omalla otoksella, voit muotoilla harjoituksissa 
# käytettyjä r-koodeja



# Tutki, onko kuntamuodolla ja asumisahtaudella yhteyttä asunnon pinta-alaan. 


dat <- attach(oma.otos)

# Tarkastellaan meidän dataa
head(oma.otos)

# Näitä muuttujia tutkitaan
summary(kumu)
summary(ahtas)
summary(pala)

# Tarkastellaan kumu
# Tarkastellaan, miltä pinta-alan laatikkokuviot näyttävät verrattuna meidän muuttujiin
plot(pala~kumu)
# Tarkastellaan vielä tarkemmat luvut
with(dat, tapply(pala, kumu,summary))
# Normaalisuustesti
with(dat, tapply(pala, kumu, shapiro.test))
# Kruskal-Wallis testi
kruskal.test(pala~kumu)


# Tarkastellaan ahtas
plot(pala~ahtas)
with(dat, tapply(pala, ahtas,summary))
with(dat, tapply(pala, ahtas, shapiro.test))
kruskal.test(pala~ahtas)
pairwise.wilcox.test(pala, ahtas)


# Tehdään varianssianalyysiä muuttujilla.
# Siinä oletetaan, että havainnot ovat riippumattomat, normaalisti jakautuneet ja yhtäsuuret varianssit.
# Voidaan olettaa, että havainnot ovat riippumattomat.

# Tutkitaan onko eri tekijät tasot normaalisti jakautuneet Shapiro-Wilk testillä. 
shapiro.test(oma.otos[kumu == "kaupunki",]$pala)
shapiro.test(oma.otos[kumu == "muukunta",]$pala)

shapiro.test(oma.otos[ahtas == "ahdas",]$pala)
shapiro.test(oma.otos[ahtas == "normaali",]$pala)
shapiro.test(oma.otos[ahtas == "tilava",]$pala)



# Otetaan kaikki havainnot, missä kumu = "kaupunki". Ja näistä vain sarakkeet kumu, ahtas ja pala.
dat.kaupunki <- select(filter(oma.otos, kumu=="kaupunki"),c(kumu,ahtas,pala))

plot(dat.kaupunki$pala~dat.kaupunki$ahtas)

# Tehdään shapiro.test kaikille ahtauksille tässä joukossa.
with(dat.kaupunki, tapply(pala,list(ahtas), shapiro.test))


# Otetaan kaikki havainnot, missä kumu = "muukunta". Ja näistä vain sarakkeet kumu, ahtas ja pala.
dat.muukunta <- select(filter(oma.otos, kumu=="muukunta"),c(kumu,ahtas,pala))

plot(dat.muukunta$pala~dat.muukunta$ahtas)

# Tehdään shapiro.test kaikille ahtauksille tässä joukossa.
with(dat.kaupunki, tapply(pala,list(ahtas), shapiro.test))

library(car)
# Tutkitaan hajontojen yhtäsuuruutta
leveneTest(pala~kumu*ahtas)


# Kaksisuuntainen varianssianalyysi
anova(lm(dat$pala~kumu*ahtas))   


interaction.plot(ahtas ,kumu, pala) 
